%define upstream_name    Catalyst-View-JSON
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    JSON view for your data
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.600.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(JSON::MaybeXS) >= 1.3.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
Catalyst::View::JSON is a Catalyst View handler that returns stash
data in JSON format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.360.0-2.mga6
+ Revision: 1023405
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.360.0-1.mga6
+ Revision: 1007368
- update to 0.36

* Thu Feb 18 2016 umeabot <umeabot> 0.350.0-2.mga6
+ Revision: 965618
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 sander85 <sander85> 0.350.0-1.mga6
+ Revision: 836333
- update to 0.35

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-5.mga5
+ Revision: 738907
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.330.0-3.mga4
+ Revision: 509783
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-2.mga3
+ Revision: 364148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 13 2011 jquelin <jquelin> 0.330.0-1.mga1
+ Revision: 84234
- update to 0.33

* Thu Jan 27 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 41938
- mageia rebuild
- imported package perl-Catalyst-View-JSON

